Subject: Re: bug#21554: no previous prototype for 'set_binary_mode'

From: Benno Schulenberg <[email-masked]>
Date: Fri, 25 Sep 2015 09:29:29 +0200

On Thu, Sep 24, 2015, at 22:32, Eric Blake wrote:
> On 09/24/2015 01:50 PM, Benno Schulenberg wrote:
> > (I can't get grep to build from git: binary-io.h:53: error:
> > no previous prototype for 'set_binary_mode'.)
> 
> On which platform are you testing?

Ubuntu Lucid.

$ gcc --version | head -1
gcc (Ubuntu 4.4.3-4ubuntu5.1) 4.4.3

> Are you sure you have a matching
> gnulib submodule checkout to go along with the grep.git checkout you are
> attempting?

I've rerun ./bootstrap.  (I suggest the attached patch to make
the script respond differently when updating an existing checkout 
as opposed to making a full, new checkout.)

> We should try and fix the reason that is preventing you from
> compiling, whether or not there is a release; but that requires more
> details.

Coming up in the next mail.

Benno

-- 
http://www.fastmail.com - Does exactly what it says on the tin

--- bootstrap.was	2015-09-25 09:10:27.000000000 +0200
+++ bootstrap	2015-09-25 09:10:39.000000000 +0200
@@ -644,7 +644,7 @@
   # Use GNULIB_SRCDIR directly or as a reference.
   if $use_git && test -d "$GNULIB_SRCDIR"/.git && \
         git_modules_config submodule.gnulib.url >/dev/null; then
-    echo "$0: getting gnulib files..."
+    echo "$0: updating gnulib files..."
     if git submodule -h|grep -- --reference > /dev/null; then
       # Prefer the one-liner available in git 1.6.4 or newer.
       git submodule update --init --reference "$GNULIB_SRCDIR" \